API Explorer
Notifications
In-app notifications
List notifications
Returns the 20 most recent notifications and the unread count.
AuthorizationBearer <token>
Clerk session token. Automatically set as a cookie in the browser; pass as Authorization: Bearer for server-side calls.
In: header
Response Body
curl -X GET "https://app.raziel.fun/api/notifications"{
"notifications": [
{
"id": "string",
"userId": "string",
"type": "session.completed",
"title": "Session completed",
"body": "string",
"href": "string",
"read": true,
"createdAt": "2019-08-24T14:15:22Z"
}
],
"unreadCount": 0
}{
"error": "Unauthorized"
}Mark notifications as read
AuthorizationBearer <token>
Clerk session token. Automatically set as a cookie in the browser; pass as Authorization: Bearer for server-side calls.
In: header
idsarray<string>
readboolean
Value in
trueResponse Body
curl -X PATCH "https://app.raziel.fun/api/notifications" \
-H "Content-Type: application/json" \
-d '{
"ids": [
"string"
],
"read": true
}'{
"ok": true
}{
"error": "Not found"
}{
"error": "Unauthorized"
}